_LiveGameDataObjectsFactory

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.ctdp.rfdynhud.gamedata
Class _LiveGameDataObjectsFactory

    java.lang.Object
      net.ctdp.rfdynhud.gamedata._LiveGameDataObjectsFactory

    public abstract class _LiveGameDataObjectsFactory

extends java.lang.Object

Constructor Summary
`_LiveGameDataObjectsFactory()`

Method Summary
`static _LiveGameDataObjectsFactory` | `get(java.lang.String gameId)`
`abstract java.lang.String` | `getGameId()`
`abstract _CommentaryRequestInfoCapsule` | `newCommentaryRequestInfoCapsule(LiveGameData gameData)`
`abstract GameFileSystem` | `newGameFileSystem(PluginINI pluginIni)`
`abstract _GraphicsInfoCapsule` | `newGraphicsInfoCapsule(LiveGameData gameData)`
`abstract ModInfo` | `newModInfo(LiveGameData gameData)`
`abstract ProfileInfo` | `newProfileInfo(LiveGameData gameData)`
`abstract _ScoringInfoCapsule` | `newScoringInfoCapsule(LiveGameData gameData)`
`abstract _TelemetryDataCapsule` | `newTelemetryDataCapsule(LiveGameData gameData)`
`abstract TrackInfo` | `newTrackInfo(LiveGameData gameData)`
`abstract VehicleInfo` | `newVehicleInfo()`
`abstract _VehicleScoringInfoCapsule` | `newVehicleScoringInfoCapsule(LiveGameData gameData)`
`abstract void` | `parseVehicleInfo(java.io.File file, java.lang.String filename, VehicleInfo info)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### _LiveGameDataObjectsFactory

    public _LiveGameDataObjectsFactory()

Method Detail

### getGameId

    public abstract java.lang.String getGameId()

### newGameFileSystem

    public abstract GameFileSystem newGameFileSystem(PluginINI pluginIni)

### newProfileInfo

    public abstract ProfileInfo newProfileInfo(LiveGameData gameData)

### newModInfo

    public abstract ModInfo newModInfo(LiveGameData gameData)

### newTrackInfo

    public abstract TrackInfo newTrackInfo(LiveGameData gameData)

### newVehicleInfo

    public abstract VehicleInfo newVehicleInfo()

### parseVehicleInfo

    public abstract void parseVehicleInfo(java.io.File file,
                                          java.lang.String filename,
                                          VehicleInfo info)
                                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### newCommentaryRequestInfoCapsule

    public abstract _CommentaryRequestInfoCapsule newCommentaryRequestInfoCapsule(LiveGameData gameData)

### newGraphicsInfoCapsule

    public abstract _GraphicsInfoCapsule newGraphicsInfoCapsule(LiveGameData gameData)

### newTelemetryDataCapsule

    public abstract _TelemetryDataCapsule newTelemetryDataCapsule(LiveGameData gameData)

### newScoringInfoCapsule

    public abstract _ScoringInfoCapsule newScoringInfoCapsule(LiveGameData gameData)

### newVehicleScoringInfoCapsule

    public abstract _VehicleScoringInfoCapsule newVehicleScoringInfoCapsule(LiveGameData gameData)

### get

    public static _LiveGameDataObjectsFactory get(java.lang.String gameId)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD